Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 159346

Summary: PATCH: run debugedit on extra files copied into debuginfo package by spec
Product: [Fedora] Fedora Reporter: Roland McGrath <roland>
Component: rpmAssignee: Paul Nasrat <pnasrat>
Status: CLOSED UPSTREAM QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fche, n3npq, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-07-13 11:10:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 150221, 158504, 182681    
Attachments:
Description Flags
patch for find-debuginfo.sh script none

Description Roland McGrath 2005-06-01 20:19:24 UTC
Description of problem:

The debuginfo rpm has the whole vmlinux file in /usr/lib/debug, but
/usr/src/debug lacks its source files.  I'm guessing the debugedit magic didn't
run on vmlinux the way it ran on the .ko.debug files.


Version-Release number of selected component (if applicable):
kernel-debuginfo-2.6.11-1.1366_FC4

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Roland McGrath 2005-06-01 20:36:13 UTC
I think I see a way to fix this in the rpm-build script find-debuginfo.sh,
leaving the kernel spec file alone.

Comment 2 Roland McGrath 2005-06-02 00:07:45 UTC
The kernel spec file copies the unstripped vmlinux binary into
/usr/lib/debug/lib/modules/VERSION/vmlinux to get it into the debuginfo package.
This seems like a reasonable thing for packages to do when they have the case
like the kernel does (on several platforms anyway), where there is an ELF binary
embedded in some nonobvious way in the installed files.  To be able to use
debugging tools on the binary, it needs to be in a normal ELF file somewhere,
and when the package's normal install doesn't have any such ELF file, it makes
sense to put the unstripped file directly into /usr/lib/debug somewhere (as
opposed to having just a .debug file there).  


Comment 3 Roland McGrath 2005-06-02 00:35:38 UTC
Created attachment 115071 [details]
patch for find-debuginfo.sh script

Continuing last comment:

The magic for producing debuginfo rpms needs to know about these files to run
them through debugedit and get the source files they refer to into the package.


This patch makes find-debuginfo.sh run debugedit on ELF files found in
/usr/lib/debug in the $RPM_BUILD_ROOT.	This produces good results for the
kernel package.

Comment 4 Jeff Johnson 2005-07-13 11:10:51 UTC
Heh, thanks for the patch, find-debuginfo.sh fixing ain't fun.

Added to rpm-4_4, should be in rpm-4.4.2-0.8 when built.

Comment 5 Bob Johnson 2006-04-11 16:34:13 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.